
Redmine - Defect #9324

Emails not being sent if bcc option is checked

2011-09-27 06:14 - Bruno Medeiros

Status: Closed Start date: 2011-09-27

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.1

Description

Some users of my Redmine instance complained about not receiving email when tried to recover the password. I entered the email

config page and sent a test email, that was NOT delivered. Trying to discover why, I unchecked the bcc checkbox, saved, and sent

the test email again. And it worked! As far as I tested, All emails sent to only 1 destination is not being sent correctly. The email is

sent, but there is neither a "to" nor a "bcc" in the message (I checked my gmail and could see the mesages, but without destination).

Follows logs with the test email being sent with and without bcc.

Redmine 1.2.1.stable.7540 (MySQL)

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Environment               production

Database adapter          mysql

Database schema version   20110511000000

Related issues:

Is duplicate of Redmine - Feature #8516: Email notifications without the reci... Closed 2011-06-03

History

#1 - 2011-09-27 15:30 - Bruno Medeiros

- File test-with-bcc-outside-redmine.txt added

I double checked my email account now, and see all the messages are in the spam box... Although they were sent, there is something wrong in the

message for it to be considered a spam, because I did a test outside Redmine, using the same account redmine uses and sending a message, with

bcc, to the same destination, and it worked. I'm attaching the original of this test message.

Please edit the subject to "Emails being considered spam if bcc option is checked", I don't have permission to do that.

#2 - 2011-09-27 18:04 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #8516.

Files

log-with-bcc.txt 398 Bytes 2011-09-27 Bruno Medeiros

message-with-bcc.txt 2.57 KB 2011-09-27 Bruno Medeiros

log-without-bcc.txt 420 Bytes 2011-09-27 Bruno Medeiros

message-without-bcc.txt 2.6 KB 2011-09-27 Bruno Medeiros
test-with-bcc-outside-redmine.txt 666 Bytes 2011-09-27 Bruno Medeiros
